"EventHandler"
•
Environment: onsite, online
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
This provider name is implemented by the class
Archive of Event handlers - triggers - used by the web api and partners. Lists all triggers in screenchooser table with screenType >= 100.
Supported Entities
| Name | Description |
|---|---|
| "eventHandler" | eventHandler |
Supported Columns
| Name | Restriction | Description | OrderBy |
|---|---|---|---|
| getAllRows | bool | GetAll: Get all rows of archive - use with care, you may be fetching the whole database | |
| getNoRows | bool | GetNone: Do not get any rows from the archive | |
| name | string | Name: Name of script. Can be used in file name. | x |
| uniqueIdentifier | string | UniqueIdentifier: An identifier that is globally unique, across all scripts and customers | x |
| path | string | Path: Full path that identifies the type of script | x |
| screenChooserId | int | ScreenChooser ID: Primary key for table ScreenChooser | x |
| screenType | string | ScreenType: Determines type of ScreenChooser | x |
| enabled | bool | Enabled: Enables or disables this ScreenChooser | x |
| updatedBy | associate | Updated by: The user who last updated the data | x |
| updatedDate | date | Updated: The date/time the data was last updated in UTC. | x |
| registeredBy | associate | Registered by: The user who registered the data | x |
| registeredDate | date | Registered date: The date/time the data was registered in UTC. | x |
Sample
GET /api/v1/archive/EventHandler?$select=path,screenType
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
See also: